Account Aggregator - Data Recurring API
This document highlights the Account Aggregator - Data Recurring API details.
API Description
Objective
The Account Aggregator - FI Data Recurring API enables periodic data fetches for use cases that require asynchronous retrieval of financial records.
API URL
https://ind-engine.thomas.hyperverge.co/v1/AAFIDataRecurring
API Endpoint
AAFIDataRecurring
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Method - POST
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| transactionId | Mandatory | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Inputs
The following table outlines the parameter required in the API's request body:
| Parameter | Mandatory or Optional | Description | Allowed Values | Default Value |
|---|---|---|---|---|
encryptedRequest | Mandatory | The encrypted request received as a response from the first API call | Not Applicable | Not Applicable |
requestDate | Mandatory | The request date received as a response from the first API call | Not Applicable | Not Applicable |
encryptedFiuId | Mandatory | The encrypted FIU ID received as a response from the first API call | Not Applicable | Not Applicable |
consentHandle | Mandatory | The consent handle received as a response from the first API call | Not Applicable | Not Applicable |
custId | Mandatory | The mobile number of the user | Valid mobile number | Not Applicable |
numberOfMonths | Mandatory | The number of months for which data is requested, passed as a string | String representing the number of months | Not Applicable |
dateTimeRangeFrom | Mandatory | The start date and time for the data range | Date-time format: YYYY-MM-DDTHH:mm:ss.SSSZ | Not Applicable |
dateTimeRangeTo | Mandatory | The end date and time for the data range | Date-time format: YYYY-MM-DDTHH:mm:ss.SSSZ | Not Applicable |
Request
The following code snippet demonstrates a standard curl request for the API:
curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/AAFIDataRecurring' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"encryptedRequest": "<Encrypted_Request_From_First_API_Call>",
"requestDate": "<Request_Date_From_First_API_Call>",
"encryptedFiuId": "<Encrypted_FiuId_From_First_API_Call>",
"consentHandle": "<Consent_Handle_From_First_API_Call>",
"custId": "<user_Mobile_Number>",
"numberOfMonths": "<Number_Of_Months_As_String>",
"dateTimeRangeFrom": "2023-04-15T00:00:00.000+0000",
"dateTimeRangeTo": "2023-07-16T00:00:00.000+0000"
}'
Success Response
The following code snippet demonstrates a success response from the API:
{
"status": "success",
"statusCode": "200",
"metaData": {
"requestId": "<Unique_Request_ID>"
},
"result": {
"details": {
"header": {
"rid": "<Unique_Request_ID>",
"ts": "<Timestamp_in_ISO_Format>",
"channelId": "<Channel_ID>"
},
"body": {
"accounts": [
{
"linkRefNumber": "<Link_Reference_Number>",
"status": "<Account_Status>",
"data": {
"accountDetails": {
"accountNumber": "<Account_Number>",
"accountType": "<Account_Type>",
"balance": "<Balance>"
}
}
}
]
}
}
}
}
Success Response Details
The following table outlines the details of the success response from the API:
| Parameter | Type | Description |
|---|---|---|
| status | string | The status of the request |
| statusCode | integer | The HTTP status code of the response |
| requestId | string | A unique identifier for the request |
| rid | string | A unique identifier for the response |
| ts | string | The timestamp of the response |
| channelId | string | The channel through which the request was processed |
| linkRefNumber | string | A unique reference number for the linked account |
| status | string | The status of the linked account |
| accountNumber | string | The account number of the linked account |
| accountType | string | The type of the linked account |
| balance | string | The balance of the linked account |